Subject: Re: bug#24232: [PATCH] ls: postpone installation of signal handlers

From: Pádraig Brady <[email-masked]>
Date: Tue, 6 Sep 2016 19:07:13 +0100

On 06/09/16 18:18, Jim Meyering wrote:
> On Tue, Sep 6, 2016 at 10:05 AM, Paul Eggert <[email-masked]> wrote:
>> On 09/06/2016 08:59 AM, Pádraig Brady wrote:
>>>
>>> Will push later.
>>
>>
>> Before pushing, can you please change the name of "sigs" back to "sig"? I
>> prefer the old name, as "sig[i]" clearly means "signal i", whereas "sigs[i]"
>> is more confusing. (This is one of my pet peeves about array names.) Thanks.
> 
> I agree.
> A good argument for "why?" is that we optimize for readability of the
> more frequent use with an index, sig[i], rather than for the sole
> declaration, or the less frequent uses of the array name without an
> index.

Ok done.

I consolidated signal handler setup and restoration to a single function
to allow that.